import { loadBinding, type Binding } from "#core/binding";

export class Muse {
  bindingLoaded = false;
  preliminaryBinding: Partial<Binding> = {};
  additionalSources: string[] = [];
  additionalPluginPaths: string[] = [];

  constructor(bindingConfig: Partial<Binding>) {
    this.preliminaryBinding = bindingConfig;
  }

  source(newSource: string) {
    this.additionalSources.push(newSource);
  }

  plugin(pluginPath: string) {
    this.additionalPluginPaths.push(pluginPath);
  }
}
